Files

Create project file

POST
/projects/{project_id}/files.json

Add an uploaded file to a project. A missing or unknown token responds with 404 (Redmine renders its 400 Bad Request without a template).

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

project_id*|

Project ID or identifier

Request Body

application/json
  1. body
file*

File create payload

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X POST 'https://redmine.example.com/projects/0/files.json' \  -H 'Content-Type: application/json' \  -d '{  "file": {    "token": "string"  }}'
Empty